stages:
     - stagebuild 
     - stagetest 
     - stagedeploy


Job1: 
     stage: stagebuild
     script:
         - echo "Hi, This is the first job1 in stagebuild"
     script:
         - dir 
         - echo "Bye, This is the first job1 in stagebuild"

Job2: 
     stage: stagetest
     script:
         - echo "please start the test of application"
      
Job3: 
     stage: stagedeploy
     script:
         - echo "for deployment of application, where are your infrastructure"
         - cmd
         - ipconfig
         
      
